//
//  NightLabel.m
//  UI19_外传夜间模式
//
//  Created by YIem on 16/3/7.
//  Copyright © 2016年 YIem. All rights reserved.
//

#import "NightLabel.h"

@implementation NightLabel

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
    [self createSubviews];
    }
    return self;
}
- (void)createSubviews
{
//    self.textColor = [UIColor blueColor];

    
    NSUserDefaults *userD = [NSUserDefaults standardUserDefaults];
    BOOL isNight = [userD boolForKey:@"isNight"];
    if (YES == isNight) {
        self.textColor = [UIColor blueColor];
 
    } else {
        self.textColor = [UIColor redColor];
    }

    
    
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(nightAction) name:@"night" object:nil];
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(dayAction) name:@"day" object:nil];
    

    
}
- (void)dayAction
{
    self.textColor = [UIColor redColor];
}
- (void)nightAction
{
    self.textColor = [UIColor blueColor];
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
